View Issue Details

IDProjectCategoryView StatusLast Update
0000241Adventure PHP FrameworkBugpublic2015-10-12 12:19
ReporterrrottmannAssigned ToChristianAchatz 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000241: date() function in Sandbox example returns error message
Description    d8891c7ec9a6b7e4404386f1a2de4be7
Message:
    date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.
Number:
    2
File:
    /usr/share/adventure-php-framework/SB/pres/taglib/CurrentDateTag.php
Line:
    28
Steps To ReproduceAfter installing the demopack on a Fedora 20 Linux box and opening the sandbox in a browser, the page looks normal. When clicking on taglib example, an error message regarding the date() function is presented.
Additional InformationThe example/demopack of the Adventure PHP Framework should be errorfree
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile]) /usr/share/adventure-php-framework/SB/pres/taglib/CurrentDateTag.php:28
Namespacemodules

Activities

ChristianAchatz

2015-01-16 22:40

administrator   ~0000529

Seems like Fedora 20 does not bring it's system-based timezone setting. Suggestion: add dedicated setting in index.php with UTC as default if not already set.

ChristianAchatz

2015-01-24 20:04

administrator   ~0000535

Added safety check in index.php for missing timezone configuration. In general, PHP installations without timezone configuration should be corrected by the administrator as this also causes other applications to crash.

Nevertheless, you are absolutely right the sandboy application should be built failsafe.

Issue History

Date Modified Username Field Change
2015-01-14 00:20 rrottmann New Issue
2015-01-16 22:40 ChristianAchatz Note Added: 0000529
2015-01-16 22:41 ChristianAchatz Assigned To => ChristianAchatz
2015-01-16 22:41 ChristianAchatz Status new => acknowledged
2015-01-24 20:04 ChristianAchatz Note Added: 0000535
2015-01-24 20:04 ChristianAchatz Status acknowledged => resolved
2015-01-24 20:04 ChristianAchatz Fixed in Version => 3.0
2015-01-24 20:04 ChristianAchatz Resolution open => fixed
2015-01-25 10:28 ChristianAchatz Target Version => 3.0
2015-10-12 12:19 ChristianAchatz Status resolved => closed